#include <time.h>
#include "inputbusiness.h"

InputBusiness::InputBusiness(InputManager *input, const QList<QVariant> &channels, quint64 interval, ServerManager *server)
    : m_server(server)
    , m_thread(new ReadThread(input, channels, interval, this))
{
    connect(m_thread, SIGNAL(newValues(InputValues,quint64)), this, SLOT(m_newValues(InputValues,quint64)));
}

InputBusiness::~InputBusiness()
{
}

void InputBusiness::m_newValues(InputValues values, quint64 timestamp)
{
    m_server->sendData(values, timestamp);
    emit newValues(values, timestamp);
}

void InputBusiness::start()
{
    m_thread->start();
}
