#ifndef INPUTBUSINESS_H
#define INPUTBUSINESS_H

#include <QObject>
#include "inputmanager.h"
#include "servermanager.h"
#include "readthread.h"

class InputBusiness : public QObject
{
    Q_OBJECT
public:
    InputBusiness(InputManager* input, const QList<QVariant>& channels, quint64 interval, ServerManager* server);

    virtual ~InputBusiness();

signals:
    void newValues(InputValues values, quint64 timestamp);

public slots:
    void start();

private slots:
    void m_newValues(InputValues values, quint64 timestamp);

private:
    ServerManager* m_server;

    ReadThread* m_thread;
};

#endif // INPUTBUSINESS_H
